Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface CompositePluralAttributeElementSource

All Superinterfaces:
  AttributeSourceContainer, PluralAttributeElementSource

All Known Implementing Classes:
  CompositePluralAttributeElementSourceImpl

    public interface CompositePluralAttributeElementSource

extends PluralAttributeElementSource, AttributeSourceContainer

Method Summary
`String` | `getClassName()`
`Value<Class<?>>` | `getClassReference()`
`String` | `getExplicitTuplizerClassName()`
`String` | `getParentReferenceAttributeName()`

Methods inherited from interface org.hibernate.metamodel.source.binder.PluralAttributeElementSource
`getNature`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getLocalBindingContext, getPath`

Method Detail

### getClassName

    String getClassName()

### getClassReference

    Value<Class<?>> getClassReference()

### getParentReferenceAttributeName

    String getParentReferenceAttributeName()

### getExplicitTuplizerClassName

    String getExplicitTuplizerClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.